DMA_POOL_FREE(9)

NAME
dma_pool_free - put block back into dma pool

SYNOPSIS

void dma_pool_free(struct dma_pool * pool, void * vaddr, dma_addr_t dma);

ARGUMENTS

pool
    the dma pool holding the block

vaddr
    virtual address of block

dma
    dma address of block

DESCRIPTION

Caller promises neither device nor driver will again touch this block unless it is first re-allocated.

COPYRIGHT